import xgboost as xgb
dtrain = xgb.DMatrix("matrix.part0")
param = {
    'booster': "gbtree",
    'tree_method': "approx",
    'max_depth': 6, 
    "objective": "reg:gamma",
    "lambda": 1.0,
    'gamma': 0.0, 
    'nthread': 16
}
num_round = 50
bst = xgb.train(param, dtrain, num_round, [(dtrain, "train")])
